#!/perl/perl -w
# read keyboard test
use strict;
use warnings;

my $stay = 1;
print "Read keyboard, until nothing...\n";

while ($stay == 1) {
   print "input: ";
   my $input = <>;
   chomp $input;
   if (length($input)) {
      print "got [$input]\n";
   } else {
      print "got nothing... aborting...\n";
      $stay = 0;
   }
}

# eof - read-keyboard.pl

